import axios from 'axios';

export default {
    getMoods(userInfo) {
        return axios.get("/v1/moods", {
            headers: {
                'X-user-id': userInfo.ID,
                'X-user-validation': userInfo.Validation
            }
        })
    },
    setMood(userInfo, mood) {
        return axios.post("/v1/moods", mood, {
            headers: {
                'X-user-id': userInfo.ID,
                'X-user-validation': userInfo.Validation
            }
        })
    },
    getNewUser() {
        return axios.get("/v1/user/code")
    },
    getUserInfo(userInfo) {
        return axios.get("/v1/user/info", {
            headers: {
                'X-user-id': userInfo.ID,
                'X-user-validation': userInfo.Validation
            }
        })
    }
}
